# std::islower(std::locale)

From cppreference.com
< cpp‎ | locale

Defined in header `<locale>` |  |
template< class charT > bool islower( charT ch, const locale& loc ); |  |

Checks if the given character is classified as a lowercase alphabetic character by the given locale's std::ctype facet.

### Parameters

ch | - | character
loc | - | locale

### Return value

Returns true if the character is classified as lowercase, false otherwise.

### Possible implementation

    template< class charT >
    bool islower( charT ch, const std::locale& loc ) {
        return std::use_facet<std::ctype<charT>>(loc).is(std::ctype_base::lower, ch);
    }

### Example

Demonstrates the use of islower() with different locales (OS-specific).

Run this code

    #include <iostream>
    #include <locale>
    int main()
    {
        const wchar_t c = L'\u03c0'; // greek small letter pi

        std::locale loc1("C");
        std::cout << "islower('π​', C locale) returned "
                   << std::boolalpha << std::islower(c, loc1) << '\n';

        std::locale loc2("en_US.UTF8");
        std::cout << "islower('π​', Unicode locale) returned "
                  << std::boolalpha << std::islower(c, loc2) << '\n';
    }

Output:

    islower('π​', C locale) returned false
    islower('π​', Unicode locale) returned true

### See also

islower | checks if a character is lowercase (function)
iswlower | checks if a wide character is lowercase (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/locale/islower&oldid=76925"